***********************************************************************
*							*
*	Aga-colorcyling on a calculated 256-color picture...	*
*							*
*	 1993 Nuance United Kingdom All Rights Are Reserved	*
*							*
***********************************************************************

PICHOOG	EQU	290
PICMOD	EQU	46


	SECTION	AGA_CYCLING,CODE_C

	lea	$dff000,a6
	move.w	$02(a6),OLDDMACON
	move.w	$1e(a6),OLDINTREQ
	move.w	$1c(a6),OLDINTENA
	move.w	#$7fff,d0
	move.w	d0,$96(a6)
	move.w	d0,$9a(a6)
	move.w	d0,$9c(a6)
	bsr.w	MAKEPIC
	bsr.w	SETPLANES
	move.l	#copper,$80(a6)
	move.w	#$83d0,$96(a6)
	clr.w	$88(a6)
	move.l	$64.w,OLDINT
	move.l	#NEWINT,$64.w
	move.w	#$c004,$9a(a6)
Mouse:	BTST	#6,$bfe001
	bne.s	Mouse
	lea	$dff000,a6
	move.w	#$7fff,d0
	move.w	d0,$96(a6)
	move.w	d0,$9a(a6)
	move.w	d0,$9c(a6)
	move.l	OLDINT,$64.w
	or.w	#$8000,OLDDMACON
	or.w	#$8000,OLDINTREQ
	or.w	#$8000,OLDINTENA
	move.w	OLDDMACON(PC),$96(a6)
	move.w	OLDINTREQ(PC),$9c(a6)
	move.w	OLDINTENA(PC),$9a(a6)
	lea	$dff000,a5
	move.l	4.w,a6
	lea	PICFIX(PC),a1
	jsr	-408(a6)
	move.l	d0,a1
	move.l	38(a1),$80(a5)
	jsr	-414(a6)
	clr.w	$88(a5)
	moveq	#0,d0
	rts
OLDDMACON:	dc.w	0
OLDINTREQ:	dc.w	0
OLDINTENA:	dc.w	0
OLDINT:		dc.l	0
PICFIX:	dc.b	"graphics.library",0
	even
********************************************************************************
********************************************************************************
NEWINT:
	Movem.l	d0-d7/a0-a6,-(SP)
	bsr.w	SETCOLORS
	movem.l	(SP)+,d0-d7/a0-a6
	move.w	#$004,$dff09c
	RTE
********************************************************************************
********************************************************************************
SETPLANES:
	move.l	#PICTURE,d0
	move.w	d0,PLANE1+6
	swap	d0           
	move.w	d0,PLANE1+2
	swap	d0
	add.l	#(PICHOOG*PICMOD),d0
	move.w	d0,PLANE2+6
	swap	d0           
	move.w	d0,PLANE2+2
	swap	d0         
	add.l	#(PICHOOG*PICMOD),d0
	move.w	d0,PLANE3+6
	swap	d0           
	move.w	d0,PLANE3+2
	swap	d0         
	add.l	#(PICHOOG*PICMOD),d0
	move.w	d0,PLANE4+6
	swap	d0           
	move.w	d0,PLANE4+2
	swap	d0         
	add.l	#(PICHOOG*PICMOD),d0
	move.w	d0,PLANE5+6
	swap	d0           
	move.w	d0,PLANE5+2
	swap	d0         
	add.l	#(PICHOOG*PICMOD),d0
	move.w	d0,PLANE6+6
	swap	d0
	move.w	d0,PLANE6+2
	swap	d0         
	add.l	#(PICHOOG*PICMOD),d0
	move.w	d0,PLANE7+6
	swap	d0           
	move.w	d0,PLANE7+2
	swap	d0         
	add.l	#(PICHOOG*PICMOD),d0
	move.w	d0,PLANE8+6
	swap	d0           
	move.w	d0,PLANE8+2
	rts
********************************************************************************
********************************************************************************
SETCOLORS:
	move.l	COLORTABEL_POS(PC),a0
	addq.l	#6,COLORTABEL_POS
	cmp.l	#COLOR_TABEL+((3*256)*3),a0
	bmi.s	.SET_OK
	move.l	#COLOR_TABEL,COLORTABEL_POS
.SET_OK:
	lea	PAL_LOW+2(PC),a1		;4-Lowbits palette
	lea	PAL_HIG+2(PC),a2		;4-Highbits palette
	moveq	#8-1,d6				;Number of palettes to do
.NEXTPALETTE:
	moveq	#32-1,d7			;Number of Colors in palette
.set:	move.b	(a0)+,d0	;Get red values
	move.b	d0,d1
	and.b	#$f0,d0
	lsr.b	#4,d0
	and.b	#$0f,d1
	move.b	d0,(a1)
	move.b	d1,(a2)
	move.b	(a0)+,d0	;Get Green values
	move.b	d0,d1
	and.b	#$f0,d0
	and.b	#$0f,d1
	lsl.b	#4,d1
	move.b	d0,1(a1)
	move.b	d1,1(a2)
	move.b	(a0)+,d0	;Get blue values
	move.b	d0,d1
	and.b	#$f0,d0
	lsr.b	#4,d0
	and.b	#$0f,d1
	or.b	d0,1(a1)
	or.b	d1,1(a2)
	addq.w	#4,a1
	addq.w	#4,a2
	dbf	d7,.set
	add.l	#(32*4)+8,a1
	add.l	#(32*4)+8,a2
	dbf	d6,.NEXTPALETTE
	rts
COLORTABEL_POS:	dc.l	COLOR_TABEL
COLOR_TABEL:
COL1:	set	0
COL2:	set	0
COL3:	set	0
	REPT	256
	dc.b	COL1,COL2,COL3
COL1:	set	COL1+1
	ENDR

COL1:	set	255
COL2:	set	0
COL3:	set	0
	REPT	256
	dc.b	COL1,COL2,COL3
COL2:	set	COL2+1
COL3:	set	COL3+1
	ENDR

COL1:	set	255
COL2:	set	255
COL3:	set	255
	REPT	256
	dc.b	COL1,COL2,COL3
COL1:	set	COL1-1
COL2:	set	COL2-1
COL3:	set	COL3-1
	ENDR

COL1:	set	0
COL2:	set	0
COL3:	set	0
	REPT	256
	dc.b	COL1,COL2,COL3
COL1:	set	COL1+1
	ENDR

********************************************************************************
********************************************************************************
MAKEPIC:
	lea	PICTURE,a0
	moveq	#0,d0
	move.w	#((PICMOD*8*PICHOOG)/4)-1,d7	
.CLR:	move.l	d0,(a0)+
	dbf	d7,.CLR
	
	lea	PICTURE,a1
	lea	SINE1(PC),a0
	lea	SINE1+450(PC),a2
	move.w	#PICHOOG-1,d4
LINE:	movem.l	a0/a2,-(sp)
	moveq	#PICMOD-1,d7	;Number of Horizontal BYTES to do
PIXEL:	moveq	#8-1,d6		;Number of PIXELS to do
	moveq	#7,d5
MAKE:	moveq	#0,d3
	move.w	(a0)+,d0
	cmp.w	#-1,(a0)
	bne.w	CONT_MAKE
	lea	SINE1(PC),a0
CONT_MAKE:
	add.w	(a2)+,d0
	cmp.w	#-1,(a2)
	bne.s	CONT_MAKE2
	lea	SINE1(PC),a2
CONT_MAKE2:
	move.b	d0,d1
	and.b	#1,d1
	lsl.b	d5,d1
	or.b	d1,(a1)
	move.b	d0,d1
	lsr.b	#1,d1
	and.b	#1,d1
	lsl.b	d5,d1
	add.l	#PICHOOG*PICMOD,d3
	or.b	d1,(a1,d3.l)
	move.b	d0,d1
	lsr.b	#2,d1
	and.b	#1,d1
	lsl.b	d5,d1
	add.l	#PICHOOG*PICMOD,d3
	or.b	d1,(a1,d3.l)
	move.b	d0,d1
	lsr.b	#3,d1
	and.b	#1,d1
	lsl.b	d5,d1
	add.l	#PICHOOG*PICMOD,d3
	or.b	d1,(a1,d3.l)
	move.b	d0,d1
	lsr.b	#4,d1
	and.b	#1,d1
	lsl.b	d5,d1
	add.l	#PICHOOG*PICMOD,d3
	or.b	d1,(a1,d3.l)
	move.b	d0,d1
	lsr.b	#5,d1
	and.b	#1,d1
	lsl.b	d5,d1
	add.l	#PICHOOG*PICMOD,d3
	or.b	d1,(a1,d3.l)
	move.b	d0,d1
	lsr.b	#6,d1
	and.b	#1,d1
	lsl.b	d5,d1
	add.l	#PICHOOG*PICMOD,d3
	or.b	d1,(a1,d3.l)
	move.b	d0,d1
	lsr.b	#7,d1
	and.b	#1,d1
	lsl.b	d5,d1
	add.l	#PICHOOG*PICMOD,d3
	or.b	d1,(a1,d3.l)
	subq.w	#1,d5
	dbf	d6,MAKE
	addq.l	#1,a1
	dbf	d7,PIXEL
	movem.l	(SP)+,a0/a2
;	addq.w	#2,a0
	addq.w	#2,a2
	dbf	d4,LINE
	rts

EXIT_MAKE:
	rts

SINE1:
	DC.W $003F,$0040,$0041,$0042,$0044,$0045,$0046,$0048,$0049,$004A
	DC.W $004C,$004D,$004E,$004F,$0051,$0052,$0053,$0054,$0056,$0057
	DC.W $0058,$0059,$005B,$005C,$005D,$005E,$005F,$0060,$0061,$0062
	DC.W $0064,$0065,$0066,$0067,$0068,$0069,$006A,$006B,$006C,$006C
	DC.W $006D,$006E,$006F,$0070,$0071,$0071,$0072,$0073,$0074,$0074
	DC.W $0075,$0076,$0076,$0077,$0078,$0078,$0079,$0079,$007A,$007A
	DC.W $007A,$007B,$007B,$007C,$007C,$007C,$007C,$007D,$007D,$007D
	DC.W $007D,$007D,$007D,$007D,$007D,$007E,$007D,$007D,$007D,$007D
	DC.W $007D,$007D,$007D,$007D,$007C,$007C,$007C,$007C,$007B,$007B
	DC.W $007A,$007A,$007A,$0079,$0079,$0078,$0078,$0077,$0076,$0076
	DC.W $0075,$0074,$0074,$0073,$0072,$0071,$0071,$0070,$006F,$006E
	DC.W $006D,$006C,$006C,$006B,$006A,$0069,$0068,$0067,$0066,$0065
	DC.W $0064,$0062,$0061,$0060,$005F,$005E,$005D,$005C,$005B,$0059
	DC.W $0058,$0057,$0056,$0054,$0053,$0052,$0051,$004F,$004E,$004D
	DC.W $004C,$004A,$0049,$0048,$0046,$0045,$0044,$0042,$0041,$0040
	DC.W $003F,$003D,$003C,$003B,$0039,$0038,$0037,$0035,$0034,$0033
	DC.W $0031,$0030,$002F,$002E,$002C,$002B,$002A,$0029,$0027,$0026
	DC.W $0025,$0024,$0022,$0021,$0020,$001F,$001E,$001D,$001C,$001B
	DC.W $0019,$0018,$0017,$0016,$0015,$0014,$0013,$0012,$0011,$0011
	DC.W $0010,$000F,$000E,$000D,$000C,$000C,$000B,$000A,$0009,$0009
	DC.W $0008,$0007,$0007,$0006,$0005,$0005,$0004,$0004,$0003,$0003
	DC.W $0003,$0002,$0002,$0001,$0001,$0001,$0001,$0000,$0000,$0000
	DC.W $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DC.W $0000,$0000,$0000,$0000,$0001,$0001,$0001,$0001,$0002,$0002
	DC.W $0003,$0003,$0003,$0004,$0004,$0005,$0005,$0006,$0007,$0007
	DC.W $0008,$0009,$0009,$000A,$000B,$000C,$000C,$000D,$000E,$000F
	DC.W $0010,$0011,$0011,$0012,$0013,$0014,$0015,$0016,$0017,$0018
	DC.W $0019,$001B,$001C,$001D,$001E,$001F,$0020,$0021,$0022,$0024
	DC.W $0025,$0026,$0027,$0029,$002A,$002B,$002C,$002E,$002F,$0030
	DC.W $0031,$0033,$0034,$0035,$0037,$0038,$0039,$003B,$003C,$003D

	DC.W $003F,$0040,$0041,$0042,$0044,$0045,$0046,$0048,$0049,$004A
	DC.W $004C,$004D,$004E,$004F,$0051,$0052,$0053,$0054,$0056,$0057
	DC.W $0058,$0059,$005B,$005C,$005D,$005E,$005F,$0060,$0061,$0062
	DC.W $0064,$0065,$0066,$0067,$0068,$0069,$006A,$006B,$006C,$006C
	DC.W $006D,$006E,$006F,$0070,$0071,$0071,$0072,$0073,$0074,$0074
	DC.W $0075,$0076,$0076,$0077,$0078,$0078,$0079,$0079,$007A,$007A
	DC.W $007A,$007B,$007B,$007C,$007C,$007C,$007C,$007D,$007D,$007D
	DC.W $007D,$007D,$007D,$007D,$007D,$007E,$007D,$007D,$007D,$007D
	DC.W $007D,$007D,$007D,$007D,$007C,$007C,$007C,$007C,$007B,$007B
	DC.W $007A,$007A,$007A,$0079,$0079,$0078,$0078,$0077,$0076,$0076
	DC.W $0075,$0074,$0074,$0073,$0072,$0071,$0071,$0070,$006F,$006E
	DC.W $006D,$006C,$006C,$006B,$006A,$0069,$0068,$0067,$0066,$0065
	DC.W $0064,$0062,$0061,$0060,$005F,$005E,$005D,$005C,$005B,$0059
	DC.W $0058,$0057,$0056,$0054,$0053,$0052,$0051,$004F,$004E,$004D
	DC.W $004C,$004A,$0049,$0048,$0046,$0045,$0044,$0042,$0041,$0040
	DC.W $003F,$003D,$003C,$003B,$0039,$0038,$0037,$0035,$0034,$0033
	DC.W $0031,$0030,$002F,$002E,$002C,$002B,$002A,$0029,$0027,$0026
	DC.W $0025,$0024,$0022,$0021,$0020,$001F,$001E,$001D,$001C,$001B
	DC.W $0019,$0018,$0017,$0016,$0015,$0014,$0013,$0012,$0011,$0011
	DC.W $0010,$000F,$000E,$000D,$000C,$000C,$000B,$000A,$0009,$0009
	DC.W $0008,$0007,$0007,$0006,$0005,$0005,$0004,$0004,$0003,$0003
	DC.W $0003,$0002,$0002,$0001,$0001,$0001,$0001,$0000,$0000,$0000
	DC.W $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DC.W $0000,$0000,$0000,$0000,$0001,$0001,$0001,$0001,$0002,$0002
	DC.W $0003,$0003,$0003,$0004,$0004,$0005,$0005,$0006,$0007,$0007
	DC.W $0008,$0009,$0009,$000A,$000B,$000C,$000C,$000D,$000E,$000F
	DC.W $0010,$0011,$0011,$0012,$0013,$0014,$0015,$0016,$0017,$0018
	DC.W $0019,$001B,$001C,$001D,$001E,$001F,$0020,$0021,$0022,$0024
	DC.W $0025,$0026,$0027,$0029,$002A,$002B,$002C,$002E,$002F,$0030
	DC.W $0031,$0033,$0034,$0035,$0037,$0038,$0039,$003B,$003C,$003D
	DC.W $FFFF
********************************************************************************
********************************************************************************
copper:
	dc.l	$01060000
	dc.l	$01000000,$00920028,$009400d8
	dc.l	$008e1a64,$009038d1
	dc.l	$01fc0000,$010c0000
	dc.l	$01020000,$01040024
	dc.w	$0108,$0000,$010a,$0000
PLANE1:	dc.w	$00e0,0000,$00e2,0000
PLANE2:	dc.w	$00e4,0000,$00e6,0000
PLANE3:	dc.w	$00e8,0000,$00ea,0000
PLANE4:	dc.w	$00ec,0000,$00ee,0000
PLANE5:	dc.w	$00f0,0000,$00f2,0000
PLANE6:	dc.w	$00f4,0000,$00f6,0000
PLANE7:	dc.w	$00f8,0000,$00fa,0000
PLANE8:	dc.w	$00fc,0000,$00fe,0000
	dc.l	$01060000
PAL_LOW:dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
	dc.l	$01060200
PAL_HIG:dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
;Palette2
	dc.l	$01062000
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
	dc.l	$01062200
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
;Palette 3
	dc.l	$01064000
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
	dc.l	$01064200
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
;Palette 4	
	dc.l	$01066000
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
	dc.l	$01066200
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
;Palette 5	
	dc.l	$01068000
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
	dc.l	$01068200
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
;Palette 6	
	dc.l	$0106a000
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
	dc.l	$0106a200
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
;Palette 7	
	dc.l	$0106c000
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
	dc.l	$0106c200
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
;Palette 8	
	dc.l	$0106e000
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0
	dc.l	$0106e200
	dc.w	$0180,0,$0182,0,$0184,0,$0186,0,$0188,0,$018a,0,$018c,0,$018e,0
	dc.w	$0190,0,$0192,0,$0194,0,$0196,0,$0198,0,$019a,0,$019c,0,$019e,0
	dc.w	$01a0,0,$01a2,0,$01a4,0,$01a6,0,$01a8,0,$01aa,0,$01ac,0,$01ae,0
	dc.w	$01b0,0,$01b2,0,$01b4,0,$01b6,0,$01b8,0,$01ba,0,$01bc,0,$01be,0


planes:	dc.l	$01000010
	dc.l	$4001fffe
	dc.l	$009c8004
	dc.l	$fffffffe

	SECTION	DATA,BSS_C

PICTURE:ds.b	PICHOOG*PICMOD*8

